std::atan,std::atanf,std::atanl(3)

NAME
std::atan,std::atanf,std::atanl - std::atan,std::atanf,std::atanl

Synopsis
   Defined in header <cmath>
   float atan ( float arg );
   float atanf( float arg ); (since C++11)
   double atan ( double arg ); (1) (2)
   long double atan ( long double arg );
   long double atanl( long double arg ); (3) (since C++11)
   double atan ( IntegralType arg ); (4) (since C++11)
   1-3) Computes the principal value of the arc tangent of arg
   4) A set of overloads or a function template accepting an argument of any integral
   type. Equivalent to 2) (the argument is cast to double).

Parameters
   arg - value of a floating-point or Integral type

Return value
   If no errors occur, the arc tangent of arg (arctan(arg)) in the range [-
   π
   2
   , +
   π
   2
   ] radians, is returned.
   If a range error occurs due to underflow, the correct result (after rounding) is
   returned.

Error handling
   Errors are reported as specified in math_errhandling.
   If the implementation supports IEEE floating-point arithmetic (IEC 60559),
     * If the argument is ±0, it is returned unmodified
     * If the argument is +∞, +π/2 is returned
     * If the argument is -∞, -π/2 is returned
     * if the argument is NaN, NaN is returned

Notes
   POSIX specifies that in case of underflow, arg is returned unmodified, and if that
   is not supported, an implementation-defined value no greater than DBL_MIN, FLT_MIN,
   and LDBL_MIN is returned.

Examples
// Run this code
 #include <iostream>
 #include <cmath>
 int main()
 {
     std::cout << "atan(1) = " << atan(1) << " 4*atan(1) = " << 4*atan(1) << '\n';
     // special values
     std::cout << "atan(Inf) = " << atan(INFINITY)
               << " 2*atan(Inf) = " << 2*atan(INFINITY) << '\n'
               << "atan(-0.0) = " << atan(-0.0) << '\n'
               << "atan(+0.0) = " << atan(0) << '\n';
 }

Output:
 atan(1) = 0.785398 4*atan(1) = 3.14159
 atan(Inf) = 1.5708 2*atan(Inf) = 3.14159
 atan(-0.0) = -0
 atan(+0.0) = 0

See also
   asin
   asinf computes arc sine (\({\small\arcsin{x} }\)arcsin(x))
   asinl (function)
   (C++11)
   (C++11)
   acos
   acosf computes arc cosine (\({\small\arccos{x} }\)arccos(x))
   acosl (function)
   (C++11)
   (C++11)
   atan2
   atan2f arc tangent, using signs to determine quadrants
   atan2l (function)
   (C++11)
   (C++11)
   tan
   tanf computes tangent (\({\small\tan{x} }\)tan(x))
   tanl (function)
   (C++11)
   (C++11)
   atan(std::complex) computes arc tangent of a complex number (\({\small\arctan{z}
   (C++11) }\)arctan(z))
                       (function template)
   atan(std::valarray) applies the function std::atan to each element of valarray
                       (function template)